package ext.test;

import java.util.ArrayList;

import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class TesterActivity extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        Button btn=(Button)findViewById(R.id.button1);
        btn.setOnClickListener(new OnClickListener(){

			@Override
			public void onClick(View v) {
				
				Intent intent = new Intent("EXT_RecoveryInterface");
				
				ArrayList<String> actions=new ArrayList<String>(); //create an ArrayList for all the actions you would like recovery to perform

				
				/* define all actions that should be executed by recovery 
				 * by adding them to the actions ArrayList
				 * */
				
				actions.add("backup"); //backup requires 4EXT Recovery Control
				actions.add("wipe_dalvik");
				actions.add("wipe_cache");
				actions.add("factory_reset"); //same as "wipe data/factory reset" in recovery
				actions.add("install"); 
				actions.add("stay"); // stay inside recovery after completion (at least v2.4.3 of Recovery Control or Updater needed)
				
				
				
				/*Add all actions to the intent */
				
				intent.putStringArrayListExtra("actions", actions);
		
				
				
				
				/* Specify the name of the new backup 
				 * Recovery will create this directory and start a full backup
				 * 
				 * 															*/
				
				intent.putExtra("backup_name", "yourChosenNameForTheBackup");
				
				ArrayList<String> files=new ArrayList<String>(); //create an ArrayList to add all the files you would like to flash
				
				files.add("/sdcard/test1.zip");
				files.add("/sdcard/test2.zip"); //Note: limitations for Recovery Updater removed
				
				/* finally add the ArrayList containing all the paths
				 * to the files you want recovery to flash to the intent
				 * 
				 */
			
				intent.putStringArrayListExtra("files_to_flash", files);
			
				
				//done: fire it up ;)
				startActivity(intent);
				
			}
        	
        });
    }
    

}
